Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DGETC2

    java.lang.Object
      org.netlib.lapack.DGETC2

    public class DGETC2

extends java.lang.Object

    DGETC2 is a simplified interface to the JLAPACK routine dgetc2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGETC2 computes an LU factorization with complete pivoting of the
     *  n-by-n matrix A. The factorization has the form A = P * L * U * Q,
     *  where P and Q are permutation matrices, L is lower triangular with
     *  unit diagonal elements and U is upper triangular.
     *
     *  This is the Level 2 BLAS algorithm.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A. N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA, N)
     *          On entry, the n-by-n matrix A to be factored.
     *          On exit, the factors L and U from the factorization
     *          A = P*L*U*Q; the unit diagonal elements of L are not stored.

     *          If U(k, k) appears to be less than SMIN, U(k, k) is given the
     *          value of SMIN, i.e., giving a nonsingular perturbed system.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  IPIV    (output) INTEGER array, dimension(N).
     *          The pivot indices; for 1 <= i <= N, row i of the
     *          matrix has been interchanged with row IPIV(i).
     *
     *  JPIV    (output) INTEGER array, dimension(N).
     *          The pivot indices; for 1 <= j <= N, column j of the
     *          matrix has been interchanged with column JPIV(j).
     *
     *  INFO    (output) INTEGER
     *           = 0: successful exit
     *           > 0: if INFO = k, U(k, k) is likely to produce owerflow if
     *                we try to solve for x in Ax = b. So U is perturbed to
     *                avoid the overflow.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Bo Kagstrom and Peter Poromaa, Department of Computing Science,
     *     Umea University, S-901 87 Umea, Sweden.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DGETC2()`

Method Summary
`static void` | `DGETC2(int n, double[][] a, int[] ipiv, int[] jpiv, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGETC2

    public DGETC2()

Method Detail

### DGETC2

    public static void DGETC2(int n,
                              double[][] a,
                              int[] ipiv,
                              int[] jpiv,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD